ccc   initialises process dependent parameters- process numbers listed below
cccccccccccccc
cccccccccccccc
ccc
ccc   proc=1  - Higgs --> bbar
ccc   proc=2  - diphoton CEP
ccc   proc=3  - gg dijets
ccc   proc=4  - qq dijets (massless)
ccc   proc=5  - cc dijets
ccc   proc=6  - bb dijets
ccc   proc=7  - ggg trijets
ccc   proc=8  - gqq trijets (massless)
ccc   proc=9  - pip pim
ccc   proc=10  - pi0 pi0
ccc   proc=11 - Kp Km
ccc   proc=12 - K_0 K_0
ccc   proc=13 - rho_0 rho_0
ccc   proc=14 - eta eta
ccc   proc=15 - eta eta'
ccc   proc=16 - eta' eta'
ccc   proc=17 - phi phi
ccc   proc=18 - J/psi J/psi (muonic decays)
ccc   proc=19 - J/psi psi(2S) (muonic decays)
ccc   proc=20 - psi(2S) psi(2S) (muonic decays)
ccc   proc=21 - chi_c0 --> J/psi+gamma --> mu+mu- + gamma
ccc   proc=22 - chi_c1 --> J/psi+gamma --> mu+mu- + gamma
ccc   proc=23 - chi_c2 --> J/psi+gamma --> mu+mu- + gamma
ccc   proc=24 - chi_c0 --> 2 body
ccc   proc=25 - chi_c1 --> 2 body (scalar)
ccc   proc=26 - chi_c2 --> 2 body (scalar)
ccc   proc=27 - chi_c1 --> 2 body (fermion)
ccc   proc=28 - chi_c2 --> 2 body (fermion)
ccc   proc=29 - chi_c0 --> 2(pi+pi-)
ccc   proc=30 - chi_c1 --> 2(pi+pi-)
ccc   proc=31 - chi_c2 --> 2(pi+pi-)
ccc   proc=32 - chi_c0 --> pi+pi- + K+K-
ccc   proc=33 - chi_c1 --> pi+pi- + K+K-
ccc   proc=34 - chi_c2 --> pi+pi- + K+K-
ccc   proc=35 - chi_c0 --> 3(pi+pi-)
ccc   proc=36 - chi_c1 --> 3(pi+pi-)
ccc   proc=37 - chi_c2 --> 3(pi+pi-)
ccc   proc=38 - eta_c
ccc   proc=39 - chi_b0 --> Upsilon+gamma --> mu+mu- + gamma
ccc   proc=40 - chi_b1 --> Upsilon+gamma --> mu+mu- + gamma
ccc   proc=41 - chi_b2 --> Upsilon+gamma --> mu+mu- + gamma
ccc   proc=42 - chi_b0 --> 2 body
ccc   proc=43 - chi_b1 --> 2 body (scalar)
ccc   proc=44 - chi_b2 --> 2 body (scalar)
ccc   proc=45 - chi_b1 --> 2 body (fermion)
ccc   proc=46 - chi_b2 --> 2 body (fermion)
ccc   proc=47 - eta_b
ccc   proc=48 - rho --> pi+pi- photoproduction
ccc   proc=49 - phi --> K+K- photoproduction
ccc   proc=50 - J/psi --> mu+mu- photoproduction
ccc   proc=51 - Upsilon(1S) --> mu+mu- photoproduction
ccc   proc=52 - Psi(2S) --> mu+mu- photoproduction
ccc   proc=53 - Psi(2S) --> J/psi pi pi --> mu+mu- pi+pi- photoproduction
ccc   proc=54 - gamma gamma --> W+W- --> mu+nu mu-nub
ccc   proc=55 - gamma gamma --> W+W- --> e+nu e-nub 
ccc   proc=56 - gamma gamma --> e+e- production
ccc   proc=57 - gamma gamma --> mu+mu- production
ccc   proc=58- gamma gamma --> tau+tau- production
ccc   proc=59 - gamma gamma --> gamma gamma production
ccc   proc=60 - gamma gamma --> Higgs --> bbar production
ccc   proc=61 - gamma gamma --> W+W- --> mu+nu mu-nub (electron)
ccc   proc=62 - gamma gamma --> W+W- --> e+nu e-nub (electron)
ccc   proc=63 - gamma gamma --> e+e- production (electron)
ccc   proc=64 - gamma gamma --> mu+mu- production (electron)
ccc   proc=65 - gamma gamma --> tau+tau- production (electron)
ccc   proc=66 - gamma gamma --> gamma gamma production (electron)
ccc   proc=67 - gamma gamma --> Higgs --> bbar production (electron)

cccccccccccccccc
cccccccccccccccc

      subroutine supinit
      implicit double precision (a-z)

      include 'mesflag.f'
      include 'mfact.f'
      include 'mq.f'
      include 'procn.f'
      include 'polarization.f'
      include 'proc.f'
      include 'mres.f'
      include 'pdg.f'
      include 'decay.f'
      include 'hepevt.f'
      include 'leshouches.f'
      include 'ewpars.f'
      include 'photo.f'
      include 'mpip.f'
      include 'quarkonia.f'
      include 'gamma.f'
      include 'vegas.f'
      include 'brs.f'
      include 'jz2.f'
      include 'mixing.f'
      include 'pi.f'
      include 'meta.f'
      include 'inparticle.f'
      include 'mkp.f'
      include 'widths.f'

      photo=.false.
      gamma=.false.
      decays=.false.
      jz2=.false.

      if(proc.eq.1)then
         ndim=4
         pol=1
         dps=1
         sym=1d0
         mres=126d0
         procn='Higgs Boson --> bbar'
         call higgsinit(mres)
         call twobodyinit(1,mres,mb,mb)
         nbr=1
         br(1)=0.561d0        ! Branching to bbar : arXiv:1307.1347
         decays=.true.
         pdgid(5)=25
         pdgid(6)=5
         pdgid(7)=-5
         decay2=.true.
         mq=mb
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.2)then
         ndim=5
         pol=4
         dps=2
         sym=2d0
         procn='gamma gamma'
         pdgid(5)=93
         pdgid(6)=22
         pdgid(7)=22
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0  
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.3)then
         ndim=5
         pol=4
         dps=2
         sym=2d0
         procn='gg dijet'
         pdgid(5)=93
         pdgid(6)=21
         pdgid(7)=21
         istup(5)=3 
         istup(6)=1  
         istup(7)=1    
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=501
         icolup(2,6)=502
         icolup(1,7)=502
         icolup(2,7)=501
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.4)then
         ndim=5
         pol=4
         dps=2
         sym=1d0
         procn='qqbar dijet (massless)'
         pdgid(5)=93
         pdgid(6)=2
         pdgid(7)=-2
         istup(5)=3    
         istup(6)=1  
         istup(7)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0  
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.5)then
         ndim=5
         pol=4
         mq=mc
         dps=2
         sym=1d0
         procn='cc dijet'
         pdgid(5)=93
         pdgid(6)=4
         pdgid(7)=-4
         istup(5)=3 
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501  
         isthep(5)=2 
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.6)then
         ndim=5
         pol=4
         mq=mb
         dps=2
         sym=1d0
         procn='bb dijet'
         pdgid(5)=93
         pdgid(6)=5
         pdgid(7)=-5
         istup(5)=3 
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501  
         isthep(5)=2 
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.7)then
         ndim=5
         pol=4
         dps=3
         sym=6d0
         sym=sym/2d0
         procn='ggg trijet'
         pdgid(5)=93
         pdgid(6)=21
         pdgid(7)=21
         pdgid(8)=21
         istup(5)=3 
         istup(6)=1  
         istup(7)=1  
         istup(8)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=3
         mothup(2,8)=0 
         icolup(1,6)=501
         icolup(2,6)=502
         icolup(1,7)=502
         icolup(2,7)=503   
         icolup(1,8)=503
         icolup(2,8)=501
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         jdahep(1,5)=6
         jdahep(2,5)=8
      elseif(proc.eq.8)then
         ndim=5
         pol=4
         dps=3
         sym=1d0
         procn='qqbar+g trijet'
         pdgid(5)=93
         pdgid(6)=2
         pdgid(7)=-2
         pdgid(8)=21
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         istup(8)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=3
         mothup(2,8)=0 
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=502   
         icolup(1,8)=502
         icolup(2,8)=501
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         jdahep(1,5)=6
         jdahep(2,5)=8
      elseif(proc.eq.9)then
         ndim=5
         pol=1
         mq=0.13957018d0 
         dps=2
         sym=1d0
         fpi=0.133d0 
         a28=2d0/3d0
         a48=0d0
         mes=.true.
         procn='pi+ pi-'
         pdgid(5)=93
         pdgid(6)=211
         pdgid(7)=-211
         istup(5)=3  
         istup(6)=1  
         istup(7)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0   
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.10)then
         ndim=5
         pol=1
         mq=0.1349766d0
         dps=2
         sym=2d0
         fpi=0.133d0
         a28=2d0/3d0
         a48=0d0
         mes=.true.
         procn='pi0 pi0'
         pdgid(5)=93
         pdgid(6)=111
         pdgid(7)=111
         istup(5)=3    
         istup(6)=1  
         istup(7)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0 
         isthep(5)=2 
         isthep(6)=1
         isthep(7)=1 
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.11)then
         ndim=5
         pol=1
         mq=0.493677d0
         dps=2
         sym=1d0
         fpi=0.133d0 
         a28=2d0/3d0
         a48=0d0
         mes=.true.
         procn='K+ K-'
         pdgid(5)=93
         pdgid(6)=321
         pdgid(7)=-321
         istup(5)=3   
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0    
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.12)then
         ndim=5
         pol=1
         mq=0.497614d0
         dps=2
         sym=2d0
         fpi=0.133d0 
         a28=2d0/3d0
         a48=0d0
         mes=.true.
         procn='K0 K0'
         pdgid(5)=93
         pdgid(6)=311
         pdgid(7)=311
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2  
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.13)then
         ndim=5
         pol=3
         mq=0.77549d0   
         dps=2
         sym=2d0
         fpi=0.2d0 
         a28=2d0/3d0
         a48=0d0
         mes=.true.
         procn='rho0 rho0'
         pdgid(5)=93
         pdgid(6)=113
         pdgid(7)=113
         istup(5)=3    
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.14)then
         ndim=5
         pol=1
         mq=0.547853d0   
         dps=2
         sym=2d0
         fpi=0.133d0
         thetap1=-9.2d0*pi/180d0
         thetap8=-21.2d0*pi/180d0
         fpi8=1.26d0*fpi
         fpi1=1.17d0*fpi
         a21=2d0/3d0
         a28=2d0/3d0 
         a2g=0d0
         a48=0d0
         mes=.true.
         procn='eta eta'
         pdgid(5)=93
         pdgid(6)=221
         pdgid(7)=221
         istup(5)=3   
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0 
         isthep(5)=2   
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.15)then
         ndim=5
         pol=1
         meta=0.547853d0
         metap=0.95778d0
         dps=12
         sym=1d0
         fpi=0.133d0
         thetap1=-9.2d0*pi/180d0
         thetap8=-21.2d0*pi/180d0
         fpi8=1.26d0*fpi
         fpi1=1.17d0*fpi
         a21=2d0/3d0
         a28=2d0/3d0 
         a2g=0d0
         a48=0d0
         mes=.true.
         procn="eta eta'"
         pdgid(5)=93
         pdgid(6)=221
         pdgid(7)=331
         istup(5)=3    
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.16)then
         ndim=5
         pol=1
         mq=0.95778d0
         dps=2
         sym=2d0
         fpi=0.133d0
         thetap1=-9.2d0*pi/180d0
         thetap8=-21.2d0*pi/180d0
         fpi8=1.26d0*fpi
         fpi1=1.17d0*fpi
         a21=2d0/3d0
         a28=2d0/3d0 
         a2g=0d0
         mes=.true.
         procn="eta' eta'"
         pdgid(5)=93
         pdgid(6)=331
         pdgid(7)=331
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2  
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.17)then
         ndim=5
         pol=3
         mq=1.019461d0   
         dps=2
         sym=2d0
         fpi=0.23d0 
         a28=-1d0/3d0
         a48=11d0/80d0
         mes=.true.
         procn='phi phi'
         pdgid(5)=93
         pdgid(6)=333
         pdgid(7)=333
         istup(5)=2  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0    
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.18)then
         ndim=5
         mq=mpsi
         dps=2
         sym=2d0
         pol=4
         hel=1
         mfact='mt'
         procn='J/psi J/psi'
         call twobodyinit(1,mpsi,mmu,mmu)
         decays=.true.
         decay4=.true.
         nbr=2
         br(1)=5.961d-2
         br(2)=5.961d-2
         pdgid(5)=93
         pdgid(6)=443
         pdgid(7)=443
         pdgid(8)=13
         pdgid(9)=-13
         pdgid(10)=13
         pdgid(11)=-13
         istup(5)=3    
         istup(6)=2 
         istup(7)=2 
         istup(8)=1 
         istup(9)=1
         istup(10)=1 
         istup(11)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0 
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0 
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
      elseif(proc.eq.19)then
         ndim=5
         mq=(mpsi+mpsip)/2d0
         dps=12
         sym=1d0
         pol=4
         hel=1
         mfact='mt'
         procn='J/psi psi(2S)'
         call twobodyinit(1,mpsi,mmu,mmu)
         call twobodyinit(2,mpsip,mmu,mmu)
         decays=.true.
         decay4=.true.
         nbr=2
         br(1)=5.961d-2
         br(2)=7.9d-3
         pdgid(5)=93
         pdgid(6)=443
         pdgid(7)=100443
         pdgid(8)=13
         pdgid(9)=-13
         pdgid(10)=13
         pdgid(11)=-13
         istup(5)=3    
         istup(6)=2 
         istup(7)=2 
         istup(8)=1 
         istup(9)=1
         istup(10)=1 
         istup(11)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0 
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0 
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
      elseif(proc.eq.20)then
         ndim=5
         mq=mpsip
         dps=2
         sym=2d0
         pol=4
         hel=1
         mfact='mt'
         procn='psi(2S) psi(2S)'
         call twobodyinit(1,mpsip,mmu,mmu)
         decays=.true.
         decay4=.true.
         nbr=2
         br(1)=7.9d-3
         br(2)=7.9d-3
         pdgid(5)=93
         pdgid(6)=100443
         pdgid(7)=100443
         pdgid(8)=13
         pdgid(9)=-13
         pdgid(10)=13
         pdgid(11)=-13
         istup(5)=3    
         istup(6)=2 
         istup(7)=2 
         istup(8)=1 
         istup(9)=1
         istup(10)=1 
         istup(11)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0 
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0 
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
      elseif(proc.eq.21)then
         ndim=4
         pol=1
         dps=1
         mres=3.41475d0
         gamchi0=10.4d-3/1.5d0
         width=10.4d-3
         sym=1d0
         hel=2
         call twobodyinit(1,mres,mpsi,0d0)
         call twobodyinit(2,mpsi,mmu,mmu)
         procn="chi_(c0) --> J/psi gamma --> mu+mu- gamma"
         decays=.true.
         nbr=2
         br(1)=1.27d-2
         br(2)=5.961d-2
         pdgid(5)=10441
         pdgid(6)=22
         pdgid(7)=443
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2 
         istup(6)=1 
         istup(7)=1 
         istup(8)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0
         decay3=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
          isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.22)then
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call twobodyinit(1,mres,mpsi,0d0)
         call twobodyinit(2,mpsi,mmu,mmu)  
         procn="chi_(c1) --> J/psi gamma --> mu+mu- gamma"
         decays=.true.
         jz2=.true.
         nbr=2
         br(1)=33.9d-2
         br(2)=5.961d-2
         pdgid(5)=20443
         pdgid(6)=22
         pdgid(7)=443
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2
         istup(6)=1 
         istup(7)=1 
         istup(8)=1     
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0   
         decay3=.true. 
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.23)then
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call twobodyinit(1,mres,mpsi,0d0)
         call twobodyinit(2,mpsi,mmu,mmu)  
         procn="chi_(c2) --> J/psi gamma --> mu+mu- gamma"
         decays=.true.
         nbr=2
         br(1)=19.2d-2
         br(2)=5.961d-2
         pdgid(5)=445
         pdgid(6)=22
         pdgid(7)=443
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2  
         istup(6)=1 
         istup(7)=1 
         istup(8)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0
         decay3=.true.     
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.24)then
         ndim=4
         pol=1
         dps=1
         mres=3.41475d0     
         sym=1d0
         hel=2
         gamchi0=10.4d-3/1.5d0
         width=10.4d-3
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(c0) --> 2 body"
         pdgid(5)=10441
         istup(5)=2   
         istup(6)=1 
         istup(7)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.25)then
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(c1) --> 2 body (scalars)"
         pdgid(5)=20443
         istup(5)=2
         istup(6)=1 
         istup(7)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.26)then
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(c2) --> 2 body (scalars)"
         pdgid(5)=445
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.27)then
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(c1) --> 2 body (fermions)"
         pdgid(5)=20443
         istup(5)=2 
         istup(6)=1 
          istup(7)=1    
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.28)then
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(c2) --> 2 body (fermions)"
         pdgid(5)=445
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.29)then  
         ndim=4
         pol=1
         dps=1
         mres=3.41475d0     
         sym=1d0
         hel=2
         gamchi0=10.4d-3/1.5d0
         width=10.4d-3
         call fourbodyinit(mres,mpip,mpip)
         procn="chi_(c0) --> 2(pi+pi-)"
         nbr=1
         br(1)=2.24d-2
         pdgid(5)=10441
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.30)then  
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call fourbodyinit(mres,mpip,mpip)
         procn="chi_(c1) --> 2(pi+pi-)"
         nbr=1
         br(1)=7.6d-3
         pdgid(5)=20443
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.31)then  
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call fourbodyinit(mres,mpip,mpip)    
         procn="chi_(c2) --> 2(pi+pi-)"
         nbr=1
         br(1)=1.07d-2
         pdgid(5)=445
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.32)then  
         ndim=4
         pol=1
         dps=1
         mres=3.41475d0     
         sym=1d0
         hel=2
         gamchi0=10.4d-3/1.5d0
         width=10.4d-3
         call fourbodyinit(mres,mpip,mkp)  
         procn="chi_(c0) --> pi+pi- + K+K-"
         nbr=1
         br(1)=1.75d-2
         pdgid(5)=10441
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=321
         pdgid(9)=-321
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.33)then  
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call fourbodyinit(mres,mpip,mkp)
         procn="chi_(c1) --> pi+pi- + K+K-"
         nbr=1
         br(1)=4.5d-3
         pdgid(5)=20443
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=321
         pdgid(9)=-321
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.34)then  
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call fourbodyinit(mres,mpip,mkp)     
         procn="chi_(c2) --> pi+pi- + K+K-"
         nbr=1
         br(1)=8.9d-3
         pdgid(5)=445
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=321
         pdgid(9)=-321
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=9
         decay4=.true.
         decays=.true.
      elseif(proc.eq.35)then  
         ndim=4
         pol=1
         dps=1
         mres=3.41475d0     
         sym=1d0
         hel=2
         gamchi0=10.4d-3/1.5d0
         width=10.4d-3
         call sixbodyinit(mres,mpip)
         procn="chi_(c0) --> 3(pi+pi-)"
         nbr=1
         br(1)=1.2d-2
         pdgid(5)=10441
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         pdgid(10)=211
         pdgid(11)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         istup(10)=1 
         istup(11)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mothup(1,10)=3
         mothup(2,10)=0
         mothup(1,11)=3
         mothup(2,11)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=11
         decay6=.true.
         decays=.true.
      elseif(proc.eq.36)then  
         ndim=4
         pol=3
         dps=1
         mres=3.51066d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=0.84d-3
         call sixbodyinit(mres,mpip)    
         procn="chi_(c1) --> 3(pi+pi-)"
         nbr=1
         br(1)=5.8d-3
         pdgid(5)=20443
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         pdgid(10)=211
         pdgid(11)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         istup(10)=1 
         istup(11)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mothup(1,10)=3
         mothup(2,10)=0
         mothup(1,11)=3
         mothup(2,11)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=11
         decay6=.true.
         decays=.true.
      elseif(proc.eq.37)then  
         ndim=4
         pol=5
         dps=1
         mres=3.55620d0
         hel=2
         sym=1d0
         gamchi0=10.4d-3/1.5d0
         width=1.93d-3
         call sixbodyinit(mres,mpip)
         procn="chi_(c2) --> 3(pi+pi-)"
         nbr=1
         br(1)=8.6d-3
         pdgid(5)=445
         pdgid(6)=211
         pdgid(7)=-211
         pdgid(8)=211
         pdgid(9)=-211
         pdgid(10)=211
         pdgid(11)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         istup(10)=1 
         istup(11)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=3
         mothup(2,9)=0
         mothup(1,10)=3
         mothup(2,10)=0
         mothup(1,11)=3
         mothup(2,11)=0
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=11
         decay6=.true.
         decays=.true.
      elseif(proc.eq.38)then
         ndim=4
         pol=1
         dps=1
         mres=2.9836d0
         hel=2
         sym=1d0
         gameta=32.2d-3
         procn="eta_c"
         pdgid(5)=441
         istup(5)=1
         mchi=mres
         isthep(5)=1
      elseif(proc.eq.39)then
         ndim=4
         pol=1
         dps=1
         mres=9.85944d0    
         gamchi0=0.8d-3     
         sym=1d0
         hel=2
         call twobodyinit(1,mres,mups,0d0)
         call twobodyinit(2,mups,mmu,mmu) 
         procn="chi_(b0) --> Upsilon gamma --> mu+mu- gamma"
         decays=.true.
         nbr=2
         br(1)=1.76d-2
         br(2)=2.48d-2
         pdgid(5)=10551
         pdgid(6)=22
         pdgid(7)=553
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2 
         istup(6)=1 
         istup(7)=1 
         istup(8)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0
         decay3=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.40)then
         ndim=4
         pol=3
         dps=1
         mres=9.89278d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3     
         call twobodyinit(1,mres,mups,0d0)
         call twobodyinit(2,mups,mmu,mmu) 
         procn="chi_(b1) --> Upsilon gamma --> mu+mu- gamma"
         decays=.true.
         jz2=.true.
         nbr=2
         br(1)=33.9d-2
         br(2)=2.48d-2
         pdgid(5)=20553
         pdgid(6)=22
         pdgid(7)=553
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2
         istup(6)=1 
         istup(7)=1 
         istup(8)=1     
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0   
         decay3=.true. 
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.41)then
         ndim=4
         pol=5
         dps=1
         mres=9.91221d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3     
         call twobodyinit(1,mres,mups,0d0)
         call twobodyinit(2,mups,mmu,mmu) 
         procn="chi_(b2) --> Upsilon gamma --> mu+mu- gamma"
         decays=.true.
         nbr=2
         br(1)=19.1d-2
         br(2)=2.48d-2
         pdgid(5)=555
         pdgid(6)=22
         pdgid(7)=553
         pdgid(8)=13
         pdgid(9)=-13
         istup(5)=2  
         istup(6)=1 
         istup(7)=1 
         istup(8)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=5
         mothup(2,8)=0
         mothup(1,9)=5
         mothup(2,9)=0
         decay3=.true.     
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,7)=8
         jdahep(2,7)=9
      elseif(proc.eq.42)then
         ndim=4
         pol=1
         dps=1
         mres=9.85944d0     
         sym=1d0
         hel=2
         gamchi0=0.8d-3   
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(b0) --> 2 body"
         pdgid(5)=10551
         istup(5)=2   
         istup(6)=1 
         istup(7)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.43)then
         ndim=4
         pol=3
         dps=1
         mres=9.89278d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3   
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(b1) --> 2 body (scalars)"
         pdgid(5)=20553
         istup(5)=2
         istup(6)=1 
         istup(7)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.44)then
         ndim=4
         pol=5
         dps=1
         mres=9.91221d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3   
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(b2) --> 2 body (scalars)"
         pdgid(5)=555
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.45)then
         ndim=4
         pol=3
         dps=1
         mres=9.89278d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3   
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(b1) --> 2 body (fermions)"
         pdgid(5)=20553
         istup(5)=2 
         istup(6)=1 
          istup(7)=1    
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.46)then
         ndim=4
         pol=5
         dps=1
         mres=9.91221d0
         hel=2
         sym=1d0
         gamchi0=0.8d-3   
         call twobodyinit(1,mres,m2b,m2b)
         procn="chi_(b2) --> 2 body (fermions)"
         pdgid(5)=555
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         decay2=.true.
         mchi=mres
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.47)then
         ndim=4
         pol=1
         dps=1
         mres=9.3980d0
         hel=2
         sym=1d0
         gameta=10.8d-3
         procn="eta_b"
         pdgid(5)=441
         istup(5)=1
         mchi=mres
         isthep(5)=1
      elseif(proc.eq.48)then
         ndim=5
         pol=1
         dps=1
         mres=0.769d0
         width=0.1491d0
         hel=2
         sym=1d0
         call twobodyinit(1,mres,mpip,mpip)
         procn='rho --> pi+pi- photoproduction'
         mchi=mres
         photo=.true.
         w0b=84d0
         alphapb=0.125d0
         bpsi0=11.1d0
         w0=75d0
         normp=11.4d6
         delta=0.19d0
         decay2=.true.
         decays=.true.
         nbr=1
         br(1)=1d0
         pdgid(5)=113
         pdgid(6)=211
         pdgid(7)=-211
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.49)then
         ndim=5
         pol=1
         dps=1
         mres=1.019461d0
         hel=2
         sym=1d0
         call twobodyinit(1,mres,mkp,mkp)
         procn='phi --> K+K- photoproduction'
         mchi=mres
         photo=.true.
         w0b=70d0
         alphapb=0.158d0
         bpsi0=7.3d0
         w0=70d0
         normp=0.96d6
         delta=0.16d0
         decay2=.true.
         decays=.true.
         nbr=1
         br(1)=48.9d-2
         pdgid(5)=333
         pdgid(6)=321
         pdgid(7)=-321
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.50)then
         ndim=5
         pol=1
         dps=1
         mres=3.096916d0
         hel=2
         sym=1d0
         call twobodyinit(1,mres,mmu,mmu)
         procn='J/psi --> mu+ mu- photoproduction'
         mchi=mres
         photo=.true.
         w0b=90d0
         alphapb=0.2d0
         bpsi0=4.7d0
         w0=1d0
         normp=3.97d3
         delta=0.64d0
         decay2=.true.
         decays=.true.
         nbr=1
         br(1)=5.961d-2
         pdgid(5)=443
         pdgid(6)=13
         pdgid(7)=-13
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.51)then
         ndim=5
         pol=1
         dps=1
         mres=9.4603d0
         hel=2
         sym=1d0
         call twobodyinit(1,mres,mmu,mmu)
         procn='Upsilon(1S) --> mu+ mu- photoproduction'
         mchi=mres
         photo=.true.
         w0b=90d0
         alphapb=0.2d0
         bpsi0=4.7d0
         w0=1d0
         normp=5.7d0
         delta=0.7d0
         decay2=.true.
         decays=.true.
         nbr=1
         br(1)=2.48d-2
         pdgid(5)=553
         pdgid(6)=13
         pdgid(7)=-13
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.52)then
         ndim=5
         pol=1
         dps=1
         mres=3.686108d0
         hel=2
         sym=1d0
         call twobodyinit(1,mres,mmu,mmu)
         procn='Psi(2S) --> mu+ mu- photoproduction'
         mchi=mres
         photo=.true.
         w0b=90d0
         alphapb=0.16d0
         bpsi0=4.6d0
         w0=1d0
         delta=0.72d0
         rpsip=0.166d0
         normp=3d3*rpsip
         decay2=.true.
         decays=.true.
         nbr=1
         br(1)=7.9d-3
         pdgid(5)=100443
         pdgid(6)=13
         pdgid(7)=-13
         istup(5)=2 
         istup(6)=1 
         istup(7)=1  
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
      elseif(proc.eq.53)then
         ndim=5
         pol=1
         dps=1
         mres=3.686108d0
         hel=2
         sym=1d0
         procn='Psi(2S) --> J/psi pi+pi- --> mu+mu- 
     &pi+pi- photoproduction'
         mchi=mres
         photo=.true.
         w0b=90d0
         alphapb=0.16d0
         bpsi0=4.6d0
         w0=1d0
         delta=0.72d0
         rpsip=0.166d0
         normp=3d3*rpsip
         decay4=.true.
         call threebodyinit(mres,mpsi,mpip,mpip)
         call twobodyinit(1,mpsi,mmu,mmu)
         decays=.true.
         nbr=2
         br(1)=34.45d-2
         br(2)=5.961d-2
         pdgid(5)=100443
         pdgid(6)=443
         pdgid(7)=211
         pdgid(8)=-211
         pdgid(9)=13
         pdgid(10)=-13
         istup(5)=2 
         istup(6)=2 
         istup(7)=1  
         istup(8)=1 
         istup(9)=1  
         istup(10)=1 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         mothup(1,8)=3
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0
         mothup(1,10)=4
         mothup(2,10)=0
         isthep(5)=2
         isthep(6)=2
         isthep(7)=1
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=9
         jdahep(2,6)=10
      elseif(proc.eq.54)then
         ndim=5
         pol=9
         mq=mw
         dps=2
         sym=1d0
         procn='gamma gamma --> W+ W- (muonic decay)'
         decays=.true.
         nbr=2
         br(1)=10.63d-2
         br(2)=10.63d-2
         pdgid(5)=93
         pdgid(6)=24
         pdgid(7)=-24
         pdgid(8)=-14
         pdgid(9)=13
         pdgid(10)=14
         pdgid(11)=-13
         istup(5)=2  
         istup(6)=2  
         istup(7)=2 
         istup(8)=1  
         istup(9)=1
         istup(10)=1  
         istup(11)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0   
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0   
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0      
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
         gamma=.true.
      elseif(proc.eq.55)then
         ndim=5
         pol=9
         mq=mw
         dps=2
         sym=1d0
         procn='gamma gamma --> W+ W- (electronic decay)'
         decays=.true.
         nbr=2
         br(1)=10.71d-2
         br(2)=10.71d-2
         pdgid(5)=93
         pdgid(6)=24
         pdgid(7)=-24
         pdgid(8)=-12
         pdgid(9)=11
         pdgid(10)=12
         pdgid(11)=-11
         istup(5)=2  
         istup(6)=2  
         istup(7)=2 
         istup(8)=1  
         istup(9)=1
         istup(10)=1  
         istup(11)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0   
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0   
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0      
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
         gamma=.true.
      elseif(proc.eq.56)then
         ndim=5
         pol=4
         mq=me
         dps=2
         sym=1d0
         procn='gamma gamma --> e+ e-'
         pdgid(5)=93
         pdgid(6)=11
         pdgid(7)=-11
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
      elseif(proc.eq.57)then
         ndim=5
         pol=4
         mq=mmu
         dps=2
         sym=1d0
         procn='gamma gamma --> mu+ mu-'
         pdgid(5)=93
         pdgid(6)=13
         pdgid(7)=-13
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
      elseif(proc.eq.58)then
         ndim=5
         pol=4
         mq=mtau
         dps=2
         sym=1d0
         procn='gamma gamma --> tau+ tau-'
         pdgid(5)=93
         pdgid(6)=15
         pdgid(7)=-15
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
      elseif(proc.eq.59)then
         ndim=5
         pol=4
         dps=2
         sym=2d0
         procn='gamma gamma --> gamma gamma'
         pdgid(5)=93
         pdgid(6)=22
         pdgid(7)=22
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0  
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
      elseif(proc.eq.60)then
         ndim=4
         pol=1
         dps=1
         sym=1d0
         mres=126d0
         procn='Higgs Boson --> bbar'
         call higgsgaminit(mres)
         call twobodyinit(1,mres,mb,mb)
         nbr=1
         br(1)=0.561d0        ! Branching to bbar : arXiv:1307.1347
         decays=.true.
         pdgid(5)=25
         pdgid(6)=5
         pdgid(7)=-5
         decay2=.true.
         mq=mb
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
      elseif(proc.eq.61)then
         ndim=5
         pol=9
         mq=mw
         dps=2
         sym=1d0
         procn='gamma gamma --> W+ W- --> mu+ nu mu- nub (electron)'
         decays=.true.
         nbr=2
         br(1)=10.63d-2
         br(2)=10.63d-2
         pdgid(5)=93
         pdgid(6)=24
         pdgid(7)=-24
         pdgid(8)=-14
         pdgid(9)=13
         pdgid(10)=14
         pdgid(11)=-13
         istup(5)=2  
         istup(6)=2  
         istup(7)=2 
         istup(8)=1  
         istup(9)=1
         istup(10)=1  
         istup(11)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0   
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0   
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0      
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.62)then
         ndim=5
         pol=9
         mq=mw
         dps=2
         sym=1d0
         procn='gamma gamma --> W+ W- --> e+ nu e- nub (electron)'
         decays=.true.
         nbr=2
         br(1)=10.71d-2
         br(2)=10.71d-2
         pdgid(5)=93
         pdgid(6)=24
         pdgid(7)=-24
         pdgid(8)=-12
         pdgid(9)=11
         pdgid(10)=12
         pdgid(11)=-11
         istup(5)=2  
         istup(6)=2  
         istup(7)=2 
         istup(8)=1  
         istup(9)=1
         istup(10)=1  
         istup(11)=1 
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         mothup(1,8)=4
         mothup(2,8)=0
         mothup(1,9)=4
         mothup(2,9)=0   
         mothup(1,10)=5
         mothup(2,10)=0
         mothup(1,11)=5
         mothup(2,11)=0   
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         icolup(1,8)=0
         icolup(2,8)=0
         icolup(1,9)=0
         icolup(2,9)=0
         icolup(1,10)=0
         icolup(2,10)=0
         icolup(1,11)=0
         icolup(2,11)=0      
         isthep(5)=2
         isthep(6)=2
         isthep(7)=2
         isthep(8)=1
         isthep(9)=1
         isthep(10)=1
         isthep(11)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         jdahep(1,6)=8
         jdahep(2,6)=9
         jdahep(1,7)=10
         jdahep(2,7)=11
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.63)then
         ndim=5
         pol=4
         mq=me
         dps=2
         sym=1d0
         procn='gamma gamma --> e+ e- (electron)'
         pdgid(5)=93
         pdgid(6)=11
         pdgid(7)=-11
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.64)then
         ndim=5
         pol=4
         mq=mmu
         dps=2
         sym=1d0
         procn='gamma gamma --> mu+ mu- (electron)'
         pdgid(5)=93
         pdgid(6)=13
         pdgid(7)=-13
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.65)then
         ndim=5
         pol=4
         mq=mtau
         dps=2
         sym=1d0
         procn='gamma gamma --> tau+ tau- (electron)'
         pdgid(5)=93
         pdgid(6)=15
         pdgid(7)=-15
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.66)then
         ndim=5
         pol=4
         dps=2
         sym=2d0
         procn='gamma gamma --> gamma gamma (electron)'
         pdgid(5)=93
         pdgid(6)=22
         pdgid(7)=22
         istup(5)=3  
         istup(6)=1  
         istup(7)=1  
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0 
         icolup(1,6)=0
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=0  
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         gamma=.true.
         inparticle='el'
      elseif(proc.eq.67)then
         ndim=4
         pol=1
         dps=1
         sym=1d0
         mres=126d0
         procn='Higgs Boson --> bbar'
         call higgsgaminit(mres)
         call twobodyinit(1,mres,mb,mb)
         nbr=1
         br(1)=0.577d0        ! Branching to bbar : arXiv:1307.1347
         decays=.true.
         pdgid(5)=25
         pdgid(6)=5
         pdgid(7)=-5
         decay2=.true.
         mq=mb
         istup(5)=2  
         istup(6)=1  
         istup(7)=1
         mothup(1,6)=3
         mothup(2,6)=0
         mothup(1,7)=3
         mothup(2,7)=0
         icolup(1,6)=501
         icolup(2,6)=0
         icolup(1,7)=0
         icolup(2,7)=501   
         isthep(5)=2
         isthep(6)=1
         isthep(7)=1
         jdahep(1,5)=6
         jdahep(2,5)=7
         inparticle='el'
         gamma=.true.
      endif

      return
      end
